WP5GeneralPacketIndex Class Reference

`#include <WP5GeneralPacketIndex.h>`

## Public Member Functions

| WP5GeneralPacketIndex (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id)
int | getID () const
unsigned short | getType () const
unsigned | getDataSize () const
unsigned | getDataOffset () const

## Protected Member Functions

void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Private Attributes

int | m_id
unsigned short | m_type
unsigned | m_dataSize
unsigned | m_dataOffset

## Constructor & Destructor Documentation

## WP5GeneralPacketIndex()

WP5GeneralPacketIndex::WP5GeneralPacketIndex | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id )

## Member Function Documentation

## _read()

void WP5GeneralPacketIndex::_read | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

protected

Referenced by WP5GeneralPacketIndex().

## getDataOffset()

unsigned WP5GeneralPacketIndex::getDataOffset | ( |  | ) | const

inline

Referenced by WP5GeneralPacketData::constructGeneralPacketData().

## getDataSize()

unsigned WP5GeneralPacketIndex::getDataSize | ( |  | ) | const

inline

Referenced by WP5GeneralPacketData::constructGeneralPacketData().

## getID()

int WP5GeneralPacketIndex::getID | ( |  | ) | const

inline

Referenced by WP5GeneralPacketData::constructGeneralPacketData().

## getType()

unsigned short WP5GeneralPacketIndex::getType | ( |  | ) | const

inline

Referenced by WP5GeneralPacketData::constructGeneralPacketData(), and WP5PrefixData::WP5PrefixData().

## Member Data Documentation

## m_dataOffset

unsigned WP5GeneralPacketIndex::m_dataOffset

private

Referenced by _read(), getDataOffset(), and WP5GeneralPacketIndex().

## m_dataSize

unsigned WP5GeneralPacketIndex::m_dataSize

private

Referenced by _read(), getDataSize(), and WP5GeneralPacketIndex().

## m_id

int WP5GeneralPacketIndex::m_id

private

Referenced by _read(), getID(), and WP5GeneralPacketIndex().

## m_type

unsigned short WP5GeneralPacketIndex::m_type

private

Referenced by _read(), getType(), and WP5GeneralPacketIndex().

The documentation for this class was generated from the following files:

- WP5GeneralPacketIndex.h
- WP5GeneralPacketIndex.cpp